Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.emp.mtp.jcics
Class ExceptionHelper

    java.lang.Object
      |
      +--com.sun.emp.mtp.jcics.ExceptionHelper

public class ExceptionHelper
extends java.lang.Object

This class is a delegate class used in constructing all of the JCICS abend classes. It contains enough information so that the main jcicsrun code can recreate an EXEC CICS environment should it need to.

Constructor Summary
`ExceptionHelper(int resp2, byte[] rcode, byte[] fn)` This constructor is designed for use by the JAVA API.
`ExceptionHelper(int resp2, byte[] rcode, byte[] fn, int dfheigdi, int dfheigdj, int dfheigdk, int psafunc, int tskst)` This constructor is designed for use by the C API.

Method Summary
`byte[]` | `getEIBFN()`
`byte[]` | `getEIBRCODE()`
`int` | `getRESP2()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHelper

    public ExceptionHelper(int resp2,
                           byte[] rcode,
                           byte[] fn)

  This constructor is designed for use by the JAVA API. It does not require all the the values that are needed to save the complete EI environment. Those value that will normally be 'normal' are set by default in this constructor.

  The normal values are used for the following params

  - dfheigdi
  - dfheigdj
  - dfheigdk
  - psafunc
  - tskst

### ExceptionHelper

    public ExceptionHelper(int resp2,
                           byte[] rcode,
                           byte[] fn,
                           int dfheigdi,
                           int dfheigdj,
                           int dfheigdk,
                           int psafunc,
                           int tskst)

  This constructor is designed for use by the C API. It does require all the the values that are needed to save the complete EI environment.

Method Detail

### getEIBFN

    public byte[] getEIBFN()

### getEIBRCODE

    public byte[] getEIBRCODE()

### getRESP2

    public int getRESP2()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.